<center><a href="ex5.c">Actual source code: ex5.c</a></center><br>

<html>
<head>
<title></title>
<meta name="generator" content="c2html 0.9.5">
<meta name="date" content="2007-03-29T00:21:14+00:00">
</head>

<body bgcolor="#FFFFFF">
<pre width="80">
<a name="line2">  2: </a>static char help[] = <font color="#666666">"Tests <A href="../../../../../docs/manualpages/IS/ISLocalToGlobalMappingGetInfo.html#ISLocalToGlobalMappingGetInfo">ISLocalToGlobalMappingGetInfo</A>.()\n\n"</font>;

<a name="line4"> 4: </a> #include <A href="../../../../../include/petscis.h.html">petscis.h</A>

<a name="line8">  8: </a><strong><font color="#4169E1"><a name="main"></a>int main(int argc,char **argv)</font></strong>
<a name="line9">  9: </a>{
<a name="line10"> 10: </a>  <A href="../../../../../docs/manualpages/Sys/PetscErrorCode.html#PetscErrorCode">PetscErrorCode</A>         ierr;
<a name="line11"> 11: </a>  <A href="../../../../../docs/manualpages/Sys/PetscMPIInt.html#PetscMPIInt">PetscMPIInt</A>            <A href="../../../../../docs/manualpages/Sys/size.html#size">size</A>,<A href="../../../../../docs/manualpages/Sys/rank.html#rank">rank</A>;
<a name="line12"> 12: </a>  <A href="../../../../../docs/manualpages/Sys/PetscInt.html#PetscInt">PetscInt</A>               nlocal,local[5],nneigh,*neigh,**ineigh,*numneigh;
<a name="line13"> 13: </a>  <A href="../../../../../docs/manualpages/IS/ISLocalToGlobalMapping.html#ISLocalToGlobalMapping">ISLocalToGlobalMapping</A> mapping;


<a name="line16"> 16: </a>  <A href="../../../../../docs/manualpages/Sys/PetscInitialize.html#PetscInitialize">PetscInitialize</A>(&amp;argc,&amp;argv,(char*)0,help);
<a name="line17"> 17: </a>  <A href="http://www.mcs.anl.gov/mpi/www/www3/MPI_Comm_size.html#MPI_Comm_size">MPI_Comm_size</A>(<A href="../../../../../docs/manualpages/Sys/PETSC_COMM_WORLD.html#PETSC_COMM_WORLD">PETSC_COMM_WORLD</A>,&amp;<A href="../../../../../docs/manualpages/Sys/size.html#size">size</A>);
<a name="line18"> 18: </a>  <font color="#4169E1">if</font> (<A href="../../../../../docs/manualpages/Sys/size.html#size">size</A> != 3) <A href="../../../../../docs/manualpages/Sys/SETERRQ.html#SETERRQ">SETERRQ</A>(1,<font color="#666666">"Must run with three processors"</font>);
<a name="line19"> 19: </a>  <A href="http://www.mcs.anl.gov/mpi/www/www3/MPI_Comm_rank.html#MPI_Comm_rank">MPI_Comm_rank</A>(<A href="../../../../../docs/manualpages/Sys/PETSC_COMM_WORLD.html#PETSC_COMM_WORLD">PETSC_COMM_WORLD</A>,&amp;<A href="../../../../../docs/manualpages/Sys/rank.html#rank">rank</A>);
<a name="line20"> 20: </a>  <font color="#4169E1">if</font> (!<A href="../../../../../docs/manualpages/Sys/rank.html#rank">rank</A>) {
<a name="line21"> 21: </a>    nlocal = 4; local[0] = 0; local[1] = 3; local[2] = 2; local[3] = 1;
<a name="line22"> 22: </a>  } <font color="#4169E1">else</font> <font color="#4169E1">if</font> (<A href="../../../../../docs/manualpages/Sys/rank.html#rank">rank</A> == 1) {
<a name="line23"> 23: </a>    nlocal = 4; local[0] = 3; local[1] = 5; local[2] = 4; local[3] = 2;
<a name="line24"> 24: </a>  } <font color="#4169E1">else</font> {
<a name="line25"> 25: </a>    nlocal = 4; local[0] = 7; local[1] = 6; local[2] = 5; local[3] = 3;
<a name="line26"> 26: </a>  }
<a name="line27"> 27: </a>  <A href="../../../../../docs/manualpages/IS/ISLocalToGlobalMappingCreate.html#ISLocalToGlobalMappingCreate">ISLocalToGlobalMappingCreate</A>(<A href="../../../../../docs/manualpages/Sys/PETSC_COMM_WORLD.html#PETSC_COMM_WORLD">PETSC_COMM_WORLD</A>,nlocal,local,&amp;mapping);
<a name="line28"> 28: </a>  <A href="../../../../../docs/manualpages/IS/ISLocalToGlobalMappingGetInfo.html#ISLocalToGlobalMappingGetInfo">ISLocalToGlobalMappingGetInfo</A>(mapping,&amp;nneigh,&amp;neigh,&amp;numneigh,&amp;ineigh);
<a name="line29"> 29: </a>  <A href="../../../../../docs/manualpages/IS/ISLocalToGlobalMappingRestoreInfo.html#ISLocalToGlobalMappingRestoreInfo">ISLocalToGlobalMappingRestoreInfo</A>(mapping,&amp;nneigh,&amp;neigh,&amp;numneigh,&amp;ineigh);
<a name="line30"> 30: </a>  <A href="../../../../../docs/manualpages/IS/ISLocalToGlobalMappingDestroy.html#ISLocalToGlobalMappingDestroy">ISLocalToGlobalMappingDestroy</A>(mapping);
<a name="line31"> 31: </a>  <A href="../../../../../docs/manualpages/Sys/PetscFinalize.html#PetscFinalize">PetscFinalize</A>();
<a name="line32"> 32: </a>  <font color="#4169E1">return</font> 0;
<a name="line33"> 33: </a>}
<a name="line34"> 34: </a>






</pre>
</body>

</html>
